Subject: Re: [PATCH] powerpc: remove default=y from PMAC and CHRP Kconfigs

From: "Timur Tabi" <[email-masked]>
Date: Thu, 9 Oct 2008 12:23:06 -0500

On Thu, Oct 9, 2008 at 11:49 AM, Matt Sealey <[email-masked]> wrote:
> Because they are by far the historically most common configuration, and
> still in production as the defacto standard PowerPC system configuration.

Not really.  PMAC systems are not being built any more.  So that leaves CHRP.

> IBM blades etc. with SLOF will boot up as a CHRP-ish system, as well as the
> Efika and Pegasos and anything else Genesi produces. Since Linux
> distributions generally do not support tiny embedded boards,

So what?  Distributions don't need our help to turn on the options
that are important to them.  This is a ridiculous argument.

> you can imagine why it's
> disabled by default, but there's no reason it can't be ENABLED by default
> and turned off by a distribution, the same way it can't be enabled by
> default and turned off by YOU (compare and contrast having to manually
> select which board you want to build for every time).

This problem is solved with defconfigs.  Kconfig options are supposed
to make sense.  Not all PowerPC systems are CHRP, therefore CHRP
should not be enabled by default.

> But, turning them all on would not matter. You would build a kernel for
> every one and a device tree for every one increasing your build time a
> bit for a default kernel,

Not really true.  Having the default be disabled for specific
platforms can make a big difference in compile time.

> but you would be guaranteed to get a kernel
> binary somewhere in the tree that would work on all of them :)

Again, not relevant.  One giant kernel that works on a Freescale
embedded system *and* an IBM mainframe is useless.  No one would
actually ever do that.

> Genesi, Manager, Developer Relations

Developer Relations, eh?

-- 
Timur Tabi
Linux kernel developer at Freescale